clear;                             %
x=-3:0.2:3;
[X,Y]=meshgrid(x);%生成矩形网格数据
Z=2*X.^2+Y.^2;
subplot(2,2,1);
plot3(X,Y,Z)            %绘制三维曲线
title('plot3')
subplot(2,2,2);
mesh(X,Y,Z)            %绘制三维网格图
title('mesh')
subplot(2,2,3);
meshc(X,Y,Z)           %绘制带等高线的三维网格图
title('meshc')
subplot(2,2,4);
meshz(X,Y,Z)           %绘制带基准平面的三维网格图
title('meshz')





